Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1422168

Summary: bugwarrior: Switch to Python 3
Product: [Fedora] Fedora Reporter: Iryna Shcherbina <ishcherb>
Component: bugwarriorAssignee: Ralph Bean <rbean>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: jberan, rbean, sanjay.ankur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: bugwarrior-1.5.1-5.fc26 bugwarrior-1.5.1-5.fc27 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-02-20 16:36:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816, 1312032    

Description Iryna Shcherbina 2017-02-14 15:52:32 UTC
Upstream, this software supports Python 3 [0]. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [1], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [2].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [3].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://github.com/ralphbean/bugwarrior/issues/25
[1] https://fedoraproject.org/wiki/Packaging:Python
[2] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[3] http://python-rpm-porting.readthedocs.io/

Comment 1 Ralph Bean 2017-02-14 17:19:18 UTC
Trust me, it's not ready yet.  ;)  Soon!

Comment 2 Fedora End Of Life 2017-02-28 11:17:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 3 Ralph Bean 2017-05-26 12:49:12 UTC
This should be possible now that bugwarrior-1.5.1 is out.

Comment 4 Ankur Sinha (FranciscoD) 2017-06-11 23:08:42 UTC
Probably worth switching to py3 now. It won't work for me on F26 at the moment :(

Comment 5 Jan Beran 2018-01-19 08:46:37 UTC
Hi Ralph,

I have prepared a Pagure PR that makes the requested Python 3 build:

https://src.fedoraproject.org/rpms/bugwarrior/pull-request/1

May I ask you to review the PR and rebuild the package?

Comment 6 Ralph Bean 2018-01-24 21:49:33 UTC
Thanks Jan!

Comment 7 Fedora Update System 2018-01-24 22:16:14 UTC
bugwarrior-1.5.1-5.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-36ef9c3225

Comment 8 Fedora Update System 2018-01-24 22:16:22 UTC
bugwarrior-1.5.1-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-88f9659d82

Comment 9 Fedora Update System 2018-01-25 07:55:43 UTC
bugwarrior-1.5.1-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-36ef9c3225

Comment 10 Fedora Update System 2018-01-25 08:38:54 UTC
bugwarrior-1.5.1-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-88f9659d82

Comment 11 Fedora Update System 2018-02-20 16:36:28 UTC
bugwarrior-1.5.1-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-02-20 17:11:38 UTC
bugwarrior-1.5.1-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.